# Disable a card

Disables a card associated with a Moov account.

To access this endpoint using an [access token](https://docs.moov.io/api/authentication/access-tokens/) you'll need to specify the `/accounts/{accountID}/cards.write` scope.

## Endpoint

```
DELETE
/accounts/{accountID}/cards/{cardID}
```

## Example Requests

### cURL
```shell
curl -X DELETE "https://api.moov.io/accounts/{accountID}/cards/{cardID}" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.04.00"
```

### Go
```go
mc, _ := moov.NewClient()

var accountID string
var cardID string

mc.DisableCard(ctx, accountID, cardID)
```

### TypeScript
```typescript
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.cards.disable({
    accountID: "bbd12cb2-58f4-46e5-861d-1e6c4617c0c2",
    cardID: "01234567-89ab-cdef-0123-456789abcdef",
  });

console.log(result);
}

run();
```

### PHP
```php
declare(strict_types=1);

require 'vendor/autoload.php';

use Moov	o	oPhp;
use Moov	o	oPhp	oModels	oComponents;

$sdk = MoovPhp	oMoov::builder()
    ->setSecurity(
        new Components	oSecurity(
            username: '',
            password: '',
        )
    )
    ->build();

$response = $sdk->cards->disable(
    accountID: 'bbd12cb2-58f4-46e5-861d-1e6c4617c0c2',
    cardID: '01234567-89ab-cdef-0123-456789abcdef'
);

if ($response->statusCode === 200) {
    // handle response
}
```

### Java
```java
package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.errors.GenericError;
import io.moov.sdk.models.operations.DisableCardResponse;
import java.lang.Exception;

public class Application {

public static void main(String[] args) throws GenericError, Exception {

Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

DisableCardResponse res = sdk.cards().disable()
                .accountID("bbd12cb2-58f4-46e5-861d-1e6c4617c0c2")
                .cardID("01234567-89ab-cdef-0123-456789abcdef")
                .call();

// handle response
    }
}
```

### Python
```python
from moovio_sdk import Moov
from moovio_sdk.models import components

with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

res = moov.cards.disable(account_id="bbd12cb2-58f4-46e5-861d-1e6c4617c0c2", card_id="01234567-89ab-cdef-0123-456789abcdef")

# Handle response
    print(res)
```

### Ruby
```ruby
require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)
res = s.cards.disable(account_id: 'bbd12cb2-58f4-46e5-861d-1e6c4617c0c2', card_id: '01234567-89ab-cdef-0123-456789abcdef')

if res.status_code == 200
  # handle response
end
```

### C#
```csharp
using Moov.Sdk;
using Moov.Sdk.Models.Components;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

var res = await sdk.Cards.DisableAsync(
    accountID: "bbd12cb2-58f4-46e5-861d-1e6c4617c0c2",
    cardID: "01234567-89ab-cdef-0123-456789abcdef"
);

// handle response
```

## Errors

### Error Responses
- **Invalid Syntax**: The server could not understand the request due to invalid syntax.
  ```json
  {
    "error": "string"
  }
  ```

- **Authentication Error**: The request contained missing or expired authentication.
- **Authorization Error**: The user is not authorized to make the request.
- **Resource Not Found**: The requested resource was not found.
- **Conflict**: The request conflicted with the current state of the target resource.
- **Rate Limiting**: Request was refused due to rate limiting.
- **Unexpected Error**: The request failed due to an unexpected error.
- **Downstream Service Failure**: The request failed because a downstream service failed to respond.

## API Versioning
Set this header to v2026.04.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.

### Possible API Versions
`v2026.04.00`
